WoltLab Suite 5.2 Preview is now live

TrixieTang

Politically Incorrect
Joined
May 4, 2007
Messages
8,500
We proudly announce the availability of the public preview of WoltLab Suite 5.2, including all official apps, running on https://beta.woltlab.com.

Please feel free to try out the new features and experience the new version yourself, the preview is accessible for everyone, including non-licensees. The preview is running an Alpha version that may contain errors or features that are still a bit rough around the edges. Please drop us a comment if you feel that something isn’t working right or should be adjusted, building a better software and experience together.

The preview is constantly updated as we make changes and adjustments to the software, however, the data will not be integrated into our main site.

Try it out now at https://beta.woltlab.com

Notice: The version numbers have been unified across our app stack, they now all use the sane version number 5.2.
 

R0binHood

Habitué
Joined
Nov 23, 2011
Messages
1,420
Bloody hell, you think they could make the postbits a bit bigger? Or are they targetting those with awful eyesight?

:er_what_Pigeon:

upload_2019-7-3_22-20-39.png
 

LeadCrow

Apocalypse Admin
Joined
Jun 29, 2008
Messages
6,587
I liked the postbit design a bit closer to the appearance in BurningBoard 4. BB5's felt like a slight downgrade, taking a massive chunk of screen estate on desktop and mobile.
 

zappaDPJ

Administrator
Joined
Aug 26, 2010
Messages
7,370
I've literally just put on my new computer glasses and the first thing I see is something I can barely see :eek:

Is that really the default? Tiny red/orange? text or should I have gone to Specsavers*

*For anyone wondering WTF I'm on about...

 

Jason5

Adherent
Joined
Jun 18, 2013
Messages
329
Great, the new updates have cool features and i hope the new Suite gets a new theme too.
 

dtdesign

Developer
Joined
Nov 13, 2012
Messages
564
There will be no (significant) changes to the default theme in 5.2, there are other things we wanted to focus on and we put a lot of emphasis on the backwards compatibility of styles and plugins. We do have plans to extend the style system with 5.3, along with a major overhaul of the default style.
 

Jason5

Adherent
Joined
Jun 18, 2013
Messages
329
Glad to know this, keep adding cool features and options :) Good luck to the team.
 

Splinter2

Participant
Joined
Dec 9, 2017
Messages
64
Has anyone here taken the leap to 5.2 now that it's come out of beta and is now production?
I'm holding back a little longer until it matures a little more.
 

Splinter2

Participant
Joined
Dec 9, 2017
Messages
64
I finally updated to 5.2 on Monday and the first thing I noticed is that the forum is faster and more responsive. Even the members commented on it.
There's a very long list of new features, most of which concern the back-end (ACP) which I was interested in.
The merging of double posts is a new and useful addition and I must say that the software is incredibly robust.
However, I'm still disappointed by the lack of plugin/theme support in terms of getting their offerings ready or at least compatible with 5.2.
Having said that, generally speaking if you push hard enough with the plugin/themes devs, you always get a result and they all speak English.
 

dtdesign

Developer
Joined
Nov 13, 2012
Messages
564
However, I'm still disappointed by the lack of plugin/theme support in terms of getting their offerings ready or at least compatible with 5.2.
That surprises me a bit. Plugins are usually all compatible with the WoltLab Suite 3.x and 5.x series, unless they have been abandoned in the past. Usually we hear complaints about customers that plugin developers do not release versions that are compatible with legacy versions, which is the other way around?
 

Splinter2

Participant
Joined
Dec 9, 2017
Messages
64
That surprises me a bit. Plugins are usually all compatible with the WoltLab Suite 3.x and 5.x series, unless they have been abandoned in the past. Usually we hear complaints about customers that plugin developers do not release versions that are compatible with legacy versions, which is the other way around?
Without going into specifics, although our theme was compatible, the package of the theme wasn't and required a manual upgrade following an export/import exercise, which was a very simple procedure in the end.
 
Top